<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="proj_projekt_journal_trichter_level" pageWidth="782" pageHeight="842" columnWidth="782" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="0ac2a9db-f95f-4192-b3dc-0ae5e2410bc1">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="3.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="REPORT_INFORMATION" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Informationen zum Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String"/>
	<parameter name="Text" class="java.lang.String" isForPrompting="false"/>
	<field name="Sort" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="F_ZUGEWIESENER" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="F_LKZ" class="java.lang.String"/>
	<field name="F_LEVEL" class="java.lang.String"/>
	<variable name="LevelAnzahl" class="java.lang.Integer" resetType="Group" resetGroup="Prio" calculation="Count">
		<variableExpression><![CDATA[$F{Sort}]]></variableExpression>
	</variable>
	<variable name="LevelAnzahl_Person" class="java.lang.Integer" resetType="Group" resetGroup="Person" calculation="Count">
		<variableExpression><![CDATA[$F{Sort}]]></variableExpression>
	</variable>
	<variable name="LISTE_LEVEL" class="java.util.List">
		<variableExpression><![CDATA[($V{LISTE_LEVEL} == null ? new ArrayList() : $V{LISTE_LEVEL})]]></variableExpression>
	</variable>
	<group name="Person">
		<groupExpression><![CDATA[$F{F_ZUGEWIESENER}]]></groupExpression>
		<groupHeader>
			<band height="1">
				<textField isStretchWithOverflow="true">
					<reportElement x="1" y="0" width="130" height="1" uuid="19d25678-6246-4f75-b24f-cb66809852dd"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{F_ZUGEWIESENER}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="15">
				<line>
					<reportElement x="0" y="0" width="782" height="1" uuid="827a273f-cf34-48d7-9d58-46ef30273ded"/>
				</line>
				<textField pattern="" isBlankWhenNull="false">
					<reportElement mode="Transparent" x="230" y="1" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="f33b8da8-210b-4293-ba55-3ced8cf8fae1"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{LevelAnzahl_Person}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<group name="Prio">
		<groupExpression><![CDATA[$F{Sort}]]></groupExpression>
		<groupHeader>
			<band/>
		</groupHeader>
		<groupFooter>
			<band height="10">
				<textField pattern="" isBlankWhenNull="false">
					<reportElement mode="Transparent" x="230" y="0" width="50" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="d108cb50-cbc6-4e7c-b5d4-94741ac6c897"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" markup="none">
						<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
						<paragraph lineSpacing="Single"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{LevelAnzahl}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="131" y="0" width="50" height="10" uuid="d566a222-62d1-4fe6-b123-d2792ea414e1"/>
					<textElement textAlignment="Center">
						<font fontName="Arial" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{F_LEVEL}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement key="Kalk" x="0" y="0" width="100" height="10" forecolor="#CCCCCC" uuid="91b14ce3-f36f-415d-a3fa-79b6c15aa014"/>
					<textElement>
						<font fontName="Arial" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$V{LISTE_LEVEL}.add(new java.lang.Object[] { $F{Sort},
                                             $F{F_ZUGEWIESENER},
                                             $V{LevelAnzahl},
                                             $F{F_LEVEL},
                                             $F{F_LEVEL}.equals("10")?$V{LevelAnzahl}:new Integer(0),
                                             $F{F_LEVEL}.equals("20")?$V{LevelAnzahl}:new Integer(0),
                                             $F{F_LEVEL}.equals("30")?$V{LevelAnzahl}:new Integer(0),
                                             $F{F_LEVEL}.equals("40")?$V{LevelAnzahl}:new Integer(0),
                                             $F{F_LEVEL}.equals("50")?$V{LevelAnzahl}:new Integer(0),
                                             $F{F_LEVEL}.equals("60")?$V{LevelAnzahl}:new Integer(0),
                                             $F{F_LEVEL}.equals("70")?$V{LevelAnzahl}:new Integer(0),
                                             $F{F_LEVEL}.equals("80")?$V{LevelAnzahl}:new Integer(0),
                                             $F{F_LEVEL}.equals("90")?$V{LevelAnzahl}:new Integer(0),
                                             $F{F_LEVEL}.equals("100")?$V{LevelAnzahl}:new Integer(0)
                                         })]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="300" height="10" uuid="f338e205-d149-404d-a254-406f5f7d5378"/>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Projektverteilung nach Wahrscheinlichkeiten "+$P{Text}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band height="10" splitType="Stretch">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
			<staticText>
				<reportElement x="131" y="0" width="100" height="10" uuid="6cbf0896-327a-47ed-b861-a4aacd3a8413"/>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[$F{F_ZUGEWIESENER}]]></text>
			</staticText>
			<staticText>
				<reportElement x="252" y="0" width="50" height="10" uuid="ddad87bf-5203-4c67-87a7-932381f19a7e"/>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[$F{F_LKZ}]]></text>
			</staticText>
			<staticText>
				<reportElement x="317" y="0" width="50" height="10" uuid="04de5a34-5d94-4622-ac8d-33bdacf199f5"/>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[$F{F_LEVEL}]]></text>
			</staticText>
			<staticText>
				<reportElement mode="Transparent" x="1" y="0" width="131" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="022fa92a-d53c-44ae-8fa0-32e718a9725e"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[$F{Sort}]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="10">
			<staticText>
				<reportElement x="1" y="0" width="100" height="10" uuid="a3fdf973-52a6-4e18-b408-73bea3c225aa"/>
				<textElement markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Verkäufer]]></text>
			</staticText>
			<staticText>
				<reportElement x="132" y="0" width="50" height="10" uuid="c1a78967-c419-4e56-a2fa-01ef5ce04563"/>
				<textElement textAlignment="Center" markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Projekt Level]]></text>
			</staticText>
			<staticText>
				<reportElement x="230" y="0" width="50" height="10" uuid="28270c8b-6436-4a05-8a94-9d06e3c67f25"/>
				<textElement textAlignment="Right" markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Anzahl]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="10" splitType="Stretch">
			<printWhenExpression><![CDATA[false]]></printWhenExpression>
			<textField>
				<reportElement x="131" y="0" width="100" height="10" uuid="99e0a50e-c4b5-452b-8559-a85219fd9108"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_ZUGEWIESENER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="252" y="0" width="50" height="10" uuid="ddeb6075-379b-48fe-bba6-c7d4bcd204dc"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_LKZ}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="317" y="0" width="50" height="10" uuid="8d67c4ea-d6af-4882-a991-5215c6dc1aff"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_LEVEL}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement mode="Transparent" x="0" y="0" width="131" height="10" forecolor="#000000" backcolor="#FFFFFF" uuid="c5196395-ab75-41a1-b087-7c01c58ad0cd"/>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="none">
					<font fontName="Arial" size="8" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Sort}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="20" splitType="Stretch">
			<subreport>
				<reportElement key="subreport Prioverteilung" x="0" y="0" width="782" height="19" uuid="a0921be1-0b37-4660-9f26-9a7e7d2a0660"/>
				<subreportParameter name="Text">
					<subreportParameterExpression><![CDATA[$P{Text}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORT_DIRECTORY">
					<subreportParameterExpression><![CDATA[$P{REPORT_DIRECTORY}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.ListOfArrayDataSource(com.lp.util.HelperReport.sortListNoNull($V{LISTE_LEVEL}),
    new String[] {"Sort", "F_ZUGEWIESENER", "LevelAnzahl", "F_LEVEL", "L1", "L2", "L3", "L4", "L5", "L6", "L7", "L8", "L9", "L10"})]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{REPORT_DIRECTORY} + "proj_projekt_journal_trichter_level_gr.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
